## pinepgp 1.11

=== Makefile ===
install: 
	install -d $(DESTDIR)/usr/lib/pinepgp
	-cp sign $(DESTDIR)/usr/lib/pinepgp
	-cp crypt $(DESTDIR)/usr/lib/pinepgp
	-cp auto $(DESTDIR)/usr/lib/pinepgp
	-cp check $(DESTDIR)/usr/lib/pinepgp

=== debian/changelog ===
pinepgp (1.11) unstable; urgency=low

  * README.debian now contains a trick enabling you to read the encryptet mails you send.
  * crypt now handles multipli recipents!
  * auto now passes all it's arguments to crypt

 -- Hakan Ardo <hakan@debian.org>  Thu, 6 Mar 1997 18:52:21 +0100

pinepgp (1.10) unstable; urgency=low

  * crypt now ask for a diffrent addres if the key can't be found
  * Removed the empthy directories /usr/bin and /usr/sbin.

 -- Hakan Ardo <hakan@debian.org>  Mon, 24 Feb 1997 22:04:12 +0100

pinepgp (1.9) unstable; urgency=low

  * /usr/doc/pinepgp/README.debian updated to describe the .autonosign feature.
  * Auto now cheks ~/.autonosign for mails that should not be signed
  * Removed the +batch=on swith to pgp when decrypting mails so that pgp will 
    ask for a passprase.
  * Auto now exits gracefully even if t gets no recipents argument (when 
    postinng news followups) patched by Frank Thieme <fthieme@galaxy.none.de>

 -- Hakan Ardo <hakan@debian.org>  Sun, 23 Feb 1997 13:00:29 +0100

pinepgp (1.8) unstable; urgency=low

  * Removed the Press Enter! message.
  * Added +batch=on option to the pgp call in check.

 -- Hakan Ardo <hakan@debian.org>  Tue, 11 Feb 1997 21:46:15 +0100

pinepgp (1.7) unstable; urgency=low

  * pgp asks for a new public keyring file if the key was not found. A "Press Enter!"
    message is now added to get past this message. A better solution would be to 
    inform pgp not to ask this question, but I can find no way in which this can be done...
  * Beeping on bad signatures now optional (se README.debian)
  * Andy Mortimer <andy.mortimer@poboxes.com> preformed the following changes:
    o  The filter result is chopped to 58 characters before being put in
       the result file.
    o  The word `good' is replaced by `trusted' or `untrusted' if
       necessary, depending on the status of that key.
    o  The full status message, and a line of explanatory text, is appended
       to the bottom of the mail message before it is passed back to Pine.

 -- Hakan Ardo <hakan@debian.org>  Mon, 10 Feb 1997 09:23:45 +0100

pinepgp (1.6) unstable; urgency=low

  * A junk file named 1 no longer generated (Fixes Bug#7245)

 -- Hakan Ardo <hakan@debian.org>  Sun, 9 Feb 1997 20:45:44 +0100

pinepgp (1.5) unstable; urgency=low

  * Added a +LANGUAGE=en option to the pgp call in check to make it work even 
    when en isn't the default language.

 -- Hakan Ardo <hakan@debian.org>  Fri, 7 Feb 1997 16:41:00 +0100

pinepgp (1.4) unstable; urgency=low

  * Some spelling and grammar corrections by Shane Turner 
    <turner@inferno.UCIS.Dal.Ca> to README.debian. Thanx!

 -- Hakan Ardo <hakan@debian.org>  Sun, 26 Jan 1997 11:54:50 +0100

pinepgp (1.3) unstable; urgency=high

  * Moved temporary files from /tmp/ to ~/.pgp, to fix a major 
    security hole

 -- Hakan Ardo <hakan@debian.org>  Tue, 21 Jan 1997 21:13:41 +0100

pinepgp (1.2) unstable; urgency=low

  * Moved to the contrib section

 -- Hakan Ardo <hakan@debian.org>  Fri, 17 Jan 1997 12:29:45 +0100

pinepgp (1.1) unstable; urgency=low

  * Temporary files now removed properly.
  * README.debian now states that check also exctracts public keys
  * Now depends on pgp

 -- Hakan Ardo <hakan@debian.org>  Sun, 12 Jan 1997 15:27:58 +0100

pinepgp (1.0) unstable; urgency=low

  * Initial Release.

 -- Hakan Ardo <hakan@debian.org>  Thu, 9 Jan 1997 21:22:17 +0100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: pinepgp
Section: contrib
Priority: extra
Maintainer: Hakan Ardo <hakan@debian.org>
Standards-Version: 2.1.2.2

Package: pinepgp
Architecture: all
Depends: pine, pgp
Description: Automates the pgp sign, encrypt and decrypt functions within pine
 Pinepgp is a set filters designed for use with perl that automates 
 the process of pgp signing and encrypting outgoing mail and 
 decrypting incomming.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=pinepgp

build:
	$(checkdir)
	if [ -x configure ]; then ./configure --prefix=/usr; fi
	make CFLAGS="-O2 -g -Wall"

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp;install -d `cat ../dirs`
	if [ -x configure ]; then make install prefix=`pwd`/debian/tmp/usr ;\
	else \
		make install DESTDIR=`pwd`/debian/tmp; \
	fi
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## pinepgp 3.3

=== debian/changelog ===
pinepgp (3.3) unstable; urgency=low

  * Fixed debian/rules so that it will run even as nonroot
  * Andrea Arcangeli <arcangeli@mbox.queen.it> added the option to only 
    encrypt a message.
  * Applied Richard Braakman <dark@xs4all.nl>'s fixes to the package 
    description (Bug #18952)

 -- Hakan Ardo <hakan@debian.org>  Wed, 11 Mar 1998 17:53:10 +0100

pinepgp (3.2) unstable; urgency=low

  * Added +LANGUAGE=en to a few pgp calls where it were missing (Bug #13549, 
    #13319)
  * Changed the shell referenc to /bin/bash as it wont work with an standard 
    sh shell

 -- Hakan Ardo <hakan@debian.org>  Mon,  8 Sep 1997 21:05:23 +0200

pinepgp (3.1) unstable; urgency=low

  * Missing doc now included (Bug #12290)

 -- Hakan Ardo <hakan@debian.org>  Mon, 25 Aug 1997 23:00:01 +0200

pinepgp (3.0) unstable; urgency=low

  * Removed a few unnecessery error messages
  * Now scans for public keys in the mails check (Bug #10171)
  * Kept sign and crypt scripts as they are for backwards compatiblity
  * Linked auto to pgp to keep backwards compatiblity
  * Readded the features made since 1.11
  * Moved to Paul Miller <paul@www.3dillusion.com>'s rewritten version, which
    introduses the following changes based on version 1.11(Bug #12180):
    o combined all send scripts into one
    o added a menu interface with default (default is determined by using the
      same methods as the auto script)
    o added support to finger for public keys while encrypting
    o added support for the PGPPATH environment variable
    o added support to create PGP keys if none exist (thus it can be a
      default in pine.conf)
    o creates .pgpkey file for fingering purposes
    o errors out if user entered a invalid passphrase (instead of sending an
      unsigned/unencrypted message)

 -- Hakan Ardo <hakan@debian.org>  Thu, 21 Aug 1997 12:46:20 +0200

pinepgp (2.1) unstable; urgency=low

  * Fixed the new check to handle empthy headders correctly
  * Cleaned up some line breaks in the changelog
  * Andy Mortimer <andy.mortimer@poboxes.com> preformed the following changes:
    o use sed rather than grep/expr/head to extract the beginning and end
      of the original message, for a rather large speedup.
    o test the file to ensure it's not already decrypted (the previous
      version would trigger on the -----BEGIN PGP DECRYPTED MESSAGE----- in
      a forwarded email)
    o stop the decryption function from sending the same output twice to
      the console
    o explicitly state that a key is trusted, rather than just saying `good
      sig' without a comment


 -- Hakan Ardo <hakan@debian.org>  Wed, 23 Apr 1997 16:46:03 +0200

pinepgp (2.0) unstable; urgency=low

  * Will now show even the part of the message that was not signed or encrypted
    (Fixes Bug#8553).
  * auto now should handle grep reqexps in the .auto* files

 -- Hakan Ardo <hakan@debian.org>  Mon, 31 Mar 1997 00:01:19 +0200

pinepgp (1.12) unstable; urgency=low

  * All ~/ changed into $HOME/
  * If there excists a file ~/.autosign only recipents listed here will get 
    signed mails.

 -- Hakan Ardo <hakan@debian.org>  Sun, 30 Mar 1997 21:58:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,6 @@
 Architecture: all
 Depends: pine, pgp
 Description: Automates the pgp sign, encrypt and decrypt functions within pine
- Pinepgp is a set filters designed for use with perl that automates 
+ Pinepgp is a set of filters designed for use with perl that automates 
  the process of pgp signing and encrypting outgoing mail and 
- decrypting incomming. 
+ decrypting incomming mail.

## pinepgp 3.6

=== Makefile ===
install: 
	install -d $(DESTDIR)/usr/lib/pinepgp
	-cp sign $(DESTDIR)/usr/lib/pinepgp
	-cp crypt $(DESTDIR)/usr/lib/pinepgp
	-ln -s pgp $(DESTDIR)/usr/lib/pinepgp/auto
	-cp check $(DESTDIR)/usr/lib/pinepgp
	-cp .encrypt $(DESTDIR)/usr/lib/pinepgp
	-cp .sign_encrypt $(DESTDIR)/usr/lib/pinepgp
	-cp .nothing $(DESTDIR)/usr/lib/pinepgp
	-cp .pgp $(DESTDIR)/usr/lib/pinepgp
	-cp .pgp5.0 $(DESTDIR)/usr/lib/pinepgp
	-cp .sign $(DESTDIR)/usr/lib/pinepgp
	-cp .get_key $(DESTDIR)/usr/lib/pinepgp
	-cp pgp $(DESTDIR)/usr/lib/pinepgp
	-cp makekeys $(DESTDIR)/usr/lib/pinepgp

=== debian/changelog ===
pinepgp (3.6) unstable; urgency=low

  * Fixed multi recipent bug for pgp5 users as reported by Grzegorz 
	  Stelmaszek <greg@lighting.ml.org>
  * Fixed typo in README.debain

 -- Hakan Ardo <hakan@debian.org>  Tue, 20 Oct 1998 17:17:20 +0200

pinepgp (3.5) unstable; urgency=low

  * The pgp 5.0 version should show keyid now as well

 -- Hakan Ardo <hakan@debian.org>  Tue, 14 Jul 1998 22:45:39 +0200

pinepgp (3.4) unstable; urgency=low

  * Added Martin Schulze <joey@kuolema.Infodrom.North.DE>'s description of 
	  how to build the pine page to the description (Bug #23474)
  * Now reports the Key ID of a missing key (Bug #22514)
  * Fixed typo in description

 -- Hakan Ardo <hakan@debian.org>  Wed, 11 Mar 1998 19:00:34 +0100

=== debian/control ===
--- 
+++ 
@@ -10,4 +10,10 @@
 Description: Automates the pgp sign, encrypt and decrypt functions within pine
  Pinepgp is a set of filters designed for use with perl that automates 
  the process of pgp signing and encrypting outgoing mail and 
- decrypting incomming mail. 
+ decrypting incoming mail. 
+ .
+ As we are not allowed to distribute a pine package you
+ have to install pine396-src and pine396-diffs in order
+ to compile a pine packge out of it.  After installing
+ this you can install pinepgp.
+

## pinepgp 3.7

=== debian/changelog ===
pinepgp (3.7) unstable; urgency=low

  * Fixed README file to explain the KEEPBINARY problem (Bug 38314)
  * Now depends on pgp|pgp5 (Bug #30663)

 -- Hakan Ardo <hakan@debian.org>  Thu, 10 Jun 1999 11:23:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 Package: pinepgp
 Architecture: all
-Depends: pine, pgp
+Depends: pine, pgp|pgp5
 Description: Automates the pgp sign, encrypt and decrypt functions within pine
  Pinepgp is a set of filters designed for use with perl that automates 
  the process of pgp signing and encrypting outgoing mail and

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 build:
 	$(checkdir)
 	if [ -x configure ]; then ./configure --prefix=/usr; fi
-	make CFLAGS="-O2 -g -Wall"
+#	make CFLAGS="-O2 -g -Wall"
 
 	touch build
